libiberty-dev_20141014-1_amd64.deb


Advertisement

Description

libiberty-dev - library of utility functions used by GNU programs

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libiberty-dev
Package version 20141014
Package release 1
Package architecture amd64
Package type deb
Installed size 651 B
Download size 140.44 KB
Official Mirror ftp.br.debian.org
The libib library is a collection of subroutines used by various
GNU programs, which are missing or broken on some systems.
This library shouldn't be used by other software, but unfortunately
already is. There is no guaranty for a stable library API, and no
shared library is provided.

Alternatives

Package Version Architecture Repository
libiberty-dev_20141014-1_i386.deb 20141014 i386 Debian Main
libiberty-dev - - -

Download

Type URL
Binary Package libiberty-dev_20141014-1_amd64.deb
Source Package libiberty

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libiberty-dev deb package:
    # sudo apt-get install libiberty-dev

Files

Path
/usr/include/libiberty/ansidecl.h
/usr/include/libiberty/demangle.h
/usr/include/libiberty/dyn-string.h
/usr/include/libiberty/fibheap.h
/usr/include/libiberty/floatformat.h
/usr/include/libiberty/hashtab.h
/usr/include/libiberty/libiberty.h
/usr/include/libiberty/objalloc.h
/usr/include/libiberty/partition.h
/usr/include/libiberty/safe-ctype.h
/usr/include/libiberty/sort.h
/usr/include/libiberty/splay-tree.h
/usr/include/libiberty/timeval-utils.h
/usr/lib/x86_64-linux-gnu/libiberty.a
/usr/share/doc/libiberty-dev/changelog.Debian.gz
/usr/share/doc/libiberty-dev/copyright

Changelog

2014-10-14 - Matthias Klose <doko@debian.org>
libiberty (20141014-1) unstable; urgency=medium
* Update to 20141014.
2014-06-12 - Matthias Klose <doko@debian.org>
libiberty (20140612-1) unstable; urgency=medium
* Update to 20140612.
- Fixes infinite recursion in the demangler. PR gdb/14963, LP: #1315590.
* Use dh_autotools-dev to update config.{sub,guess}. Closes: #743673.
2013-11-16 - Matthias Klose <doko@debian.org>
libiberty (20131116-1) unstable; urgency=low
* Initial release.

See Also

Package Description
libibmad-dev_1.3.11-3_amd64.deb Development files for libibmad
libibmad5_1.3.11-3_amd64.deb Infiniband Management Datagram (MAD) library
libibnetdisc-dev_1.6.4-3+b1_amd64.deb InfiniBand diagnostics library headers
libibnetdisc5_1.6.4-3+b1_amd64.deb InfiniBand diagnostics library
libibtk-dev_0.0.14-12_amd64.deb Insomnia's Basic ToolKit: Development Libraries and Header Files
libibtk0_0.0.14-12_amd64.deb Insomnia's Basic ToolKit
libibumad-dev_1.3.9-3_amd64.deb Development files for libibumad
libibumad3_1.3.9-3_amd64.deb InfiniBand Userspace Management Datagram (uMAD) library
libibus-1.0-5_1.5.9-1_amd64.deb Intelligent Input Bus - shared library
libibus-1.0-dev_1.5.9-1_amd64.deb Intelligent Input Bus - development file
libibus-qt-dev_1.3.2-2_amd64.deb qt-immodule for ibus (QT4) (development package)
libibus-qt1_1.3.2-2_amd64.deb qt-immodule for ibus (QT4) (library)
libibverbs-dev_1.1.8-1.1_amd64.deb Development files for the libibverbs library
libibverbs1_1.1.8-1.1_amd64.deb Library for direct userspace use of RDMA (InfiniBand/iWARP)
libical-dev_1.0-1.3_amd64.deb iCalendar library implementation in C (development)
Advertisement
Advertisement